import request from "@/scripts/httpRequest"
import qs from "qs"

export const getMqtt = () => {
  return request({
    url: "/data/api-v/mqtt/conf",
    method: "get"
  })
}

export const saveMqtt = (data) => {
  return request({
    url: "/data/api-v/mqtt/saveConf",
    method: "post",
    data
  })
}

export const getWifi = () => {
  return request({
    url: "/data/api-v/wifi/conf",
    method: "get"
  })
}

export const saveWifi = (data) => {
  return request({
    url: "/data/api-v/wifi/saveConf",
    method: "post",
    data
  })
}

export const getLora = () => {
  return request({
    url: "/data/api-v/lora/conf",
    method: "get"
  })
}

export const saveLora = (data) => {
  return request({
    url: "/data/api-v/lora/saveConf",
    method: "post",
    data
  })
}

export const getDevInfo = () => {
  return request({
    url: "/data/api-v/sysset/getDevInfo",
    method: "get"
  })
}

export const getClockInfo = () => {
  return request({
    url: "/data/api-v/sysset/clockInfo",
    method: "get"
  })
}

export const getAlarmConfig = () => {
  return request({
    url: "/data/api-v/sysset/alarmServerShow",
    method: "get"
  })
}

export const getGB28181Config = () => {
  return request({
    url: "/data/api-v/gb28181/configShow",
    method: "get"
  })
}

export const saveDevInfo = (query: any) => {
  return request({
    url: "/data/api-v/sysset/saveDeviceInfo",
    method: "post",
    data: qs.stringify(query)
  })
}

export const saveAlarmConfig = (query: any) => {
  return request({
    url: "/data/api-v/sysset/videoLenEdit",
    method: "post",
    data: qs.stringify(query)
  })
}

export const saveGB28181Config = (query: any) => {
  return request({
    url: "/data/api-v/gb28181/configEdit",
    method: "post",
    data: query
  })
}

export const saveClockInfo = (query: any) => {
  return request({
    url: "/data/api-v/sysset/updateClock",
    method: "post",
    data: query
  })
}

export const testNTPserver = (query: any) => {
  return request({
    url: "/data/api-v/sysset/ntpTest",
    method: "get",
    params: query
  })
}

export const getSystemSummaryInfo = () => {
  return request({
    url: "/data/api-v/sysset/sysinfo",
    method: "get"
  })
}

export const getSysThresholds = () => {
  return request({
    url: "/data/api-v/sysset/sysThresholds",
    method: "get"
  })
}

export const rebootServer = () => {
  return request({
    url: "/data/api-v/sysset/reboot",
    method: "get"
  })
}

export const probeServer = () => {
  return request({
    url: "/img/icons/favicon-32x32.png",
    method: "get"
  })
}

export const getRebootTask = () => {
  return request({
    url: "/data/api-v/sysset/rebootTask",
    method: "get"
  })
}

export const setRebootTask = (query: any) => {
  return request({
    url: "/data/api-v/sysset/setRebootTask",
    method: "post",
    data: qs.stringify(query)
  })
}

export const getResourceConfig = () => {
  return request({
    url: "/data/api-v/sysset/getResourceConfig",
    method: "get"
  })
}

export const saveResourceConfig = (query: any) => {
  return request({
    url: "/data/api-v/sysset/saveResourceConfig",
    method: "post",
    data: query
  })
}

export const doUpgrade = (query: any) => {
  return request({
    url: "/data/api-v/sysset/upgrade",
    method: "post",
    data: qs.stringify(query)
  })
}

export const upNetCard = (query: any) => {
  return request({
    url: "/data/api-v/sysset/upNetCard",
    method: "post",
    data: qs.stringify(query)
  })
}
export const downNetCard = (query: any) => {
  return request({
    url: "/data/api-v/sysset/downNetCard",
    method: "post",
    data: qs.stringify(query)
  })
}

export const setServerName = (query: any) => {
  return request({
    url: "/data/api-v/sysset/setSerName",
    method: "post",
    data: qs.stringify(query)
  })
}

export const getWireList = (query: any) => {
  return request({
    url: "/data/api-v/sysset/getNetWorkCards",
    method: "get",
    data: query
  })
}

export const setKeyboardLayout = (query: any) => {
  return request({
    url: "/data/api-v/sysset/setKeyboardLayout",
    method: "post",
    data: qs.stringify(query)
  })
}

export const setNetWorkCard = (query: any) => {
  return request({
    url: "/data/api-v/sysset/setNetWorkCard",
    method: "post",
    data: qs.stringify(query)
  })
}

export const getLangs = (query: any) => {
  return request({
    url: "/data/api-v/sysset/getLangs",
    method: "get",
    data: query
  })
}
export const getLang = (query: any) => {
  return request({
    url: "/data/api-v/sysset/getLang",
    method: "get",
    data: query
  })
}

export const getKeyboardLayouts = (query: any) => {
  return request({
    url: "/data/api-v/sysset/getKeyboardLayouts",
    method: "get",
    data: query
  })
}
export const getCurKeyboardLayout = (query: any) => {
  return request({
    url: "/data/api-v/sysset/getDefKeyboardLayout",
    method: "get",
    data: query
  })
}

export const setLang = (query: any) => {
  return request({
    url: "/data/api-v/sysset/setLang",
    method: "post",
    data: qs.stringify(query)
  })
}

export const getNetWorkCardInfo = (query: any) => {
  return request({
    url: "/data/api-v/sysset/getNetWorkCardInfo",
    method: "post",
    data: qs.stringify(query)
  })
}

export const deleteDate = (query: any) => {
  return request({
    url: "/data/api-v/clearData/deleteEsData",
    method: "post",
    data: query
  })
}

export const deleteData = (query: any) => {
  return request({
    url: "/data/api-v/clearData/deleteData",
    method: "post",
    data: query
  })
}

export const freedisk = (query: any) => {
  return request({
    url: "/data/api-v/sysset/freedisk",
    method: "get",
    params: query
  })
}

export const getAppUpgradeNotice = (query: any) => {
  return request({
    url: "/data/api-v/app/upgrade/notice",
    method: "get",
    params: query
  })
}

export const fileUpload = "/data/api-v/sysset/patchUpdate"

export const getGb28181AreaList = (query: any) => {
  return request({
    url: "/data/api-v/gb28181/findAreaByParentId",
    method: "get",
    params: query
  })
}

export const newGb28181ID = (query: any) => {
  return request({
    url: "/data/api-v/gb28181/newGbId",
    method: "get",
    params: query
  })
}

export const checkNewVersion = () => {
  return request({
    url: "/version/check",
    method: "get"
  })
}

export const upgradeNewVersion = () => {
  return request({
    url: "/version/upgrade",
    method: "get"
  })
}

export const getUpgradeNotice = () => {
  return request({
    url: "/version/notice",
    method: "get"
  })
}

export const delayUpgradeNotice = (query: any) => {
  return request({
    url: "/version/notice/delay",
    method: "post",
    data: qs.stringify(query)
  })
}

export const delayAppNotice = (query: any) => {
  return request({
    url: "/data/api-v/app/upgrade/notice/delay",
    method: "post",
    data: qs.stringify(query)
  })
}

export const uploadUpgradePkg = (data: any) => {
  return request({
    url: "/version/upload/zip",
    method: "post",
    data
  })
}

export const rollback = (query: any) => {
  return request({
    url: "/version/rollback",
    method: "post",
    data: qs.stringify(query)
  })
}

export const upgradePkg = (query: any) => {
  return request({
    url: "/version/upgrade/zip",
    method: "get",
    params: query
  })
}

export const getSettings = () => {
  return request({
    url: "/version/settings",
    method: "get"
  })
}

export const updateSettings = (query: any) => {
  return request({
    url: "/version/setting/update",
    method: "post",
    data: qs.stringify(query)
  })
}

export const getActiveQrCode = (query: any) => {
  return request({
    url: "/version/offline/qrcode",
    method: "get",
    params: query
  })
}

export const getSN = (query: any) => {
  return request({
    url: "/version/sn",
    method: "get",
    params: query
  })
}

export const cancelAuthorization = (query: any) => {
  return request({
    url: "/version/cancelAuthorization",
    method: "post",
    data: qs.stringify(query),
    responseType: "blob"
  })
}

export const activateVersion = (query: any) => {
  return request({
    url: "/version/authorization",
    method: "post",
    data: qs.stringify(query)
  })
}

//
export const uploadKey = (data: any) => {
  return request({
    url: "/version/authorization/upload",
    method: "post",
    data
  })
}

export const getBakConfig = () => {
  return request({
    url: "/version/autoBak/config",
    method: "get"
  })
}
export const getSmsCode = (query: any) => {
  return request({
    url: "/version/auth/shop/smsCode",
    method: "get",
    params: query
  })
}

export const loginShopInSmart = (data: any) => {
  return request({
    url: "/version/auth/shop/login",
    method: "post",
    data: qs.stringify(data)
  })
}
export const activeByOrder = (data: any) => {
  return request({
    url: "/version/auth/shop/activeByOrder",
    method: "post",
    data: qs.stringify(data)
  })
}
export const getShopOrderList = (data: any) => {
  return request({
    url: "/version/auth/shop/getOrderList",
    method: "post",
    data: qs.stringify(data)
  })
}

export const setBakConfig = (data: any) => {
  return request({
    url: "/version/autoBak/saveConf",
    method: "post",
    data
  })
}

export const backupRN = (data: any) => {
  return request({
    url: "/version/autoBak/backupRN",
    method: "post",
    data
  })
}

export const recoverBackup = (data: any) => {
  return request({
    url: "/version/autoBak/recover",
    method: "post",
    data: qs.stringify(data)
  })
}

export const getBackupList = () => {
  return request({
    url: "/version/autoBak/list",
    method: "get"
  })
}

export const getAuthInfo = () => {
  return request({
    url: "/data/api-v/sysset/showAuthInfo",
    method: "get"
  })
}
export const getVasystemInfo = () => {
  return request({
    url: "/apps/loginData/login.json",
    method: "get"
  })
}

export const setAuthInfo = (data: any) => {
  return request({
    url: "/data/api-v/sysset/setAuthInfo",
    method: "post",
    data
  })
}

export const getRemoteServer = (data: any) => {
  return request({
    url: "/data/api-v/sysset/getRemoteServer",
    method: "post",
    data
  })
}

export const setRemoteServer = (data: any) => {
  return request({
    url: "/data/api-v/sysset/setRemoteServer",
    method: "post",
    data: qs.stringify(data)
  })
}

export const getWifiList = (query: any) => {
  return request({
    url: "/data/api-v/sysset/getWifiList",
    method: "post",
    data: qs.stringify(query)
  })
}

export const connectWifi = (query: any) => {
  return request({
    url: "/data/api-v/sysset/connectWifi",
    method: "post",
    data: qs.stringify(query)
  })
}
